"""
Programme associé à la résolution de problème : rebond sur un support
physique chimie 1ere spécialité
éditions bordas
"""

m = float(input("entrez la masse m de la bille en gramme : "))
t1 = float(input("entrez la durée t1 affichée sur le smartphone : "))
t2 = float(input("entrez la durée t2 : "))
h1 = 9.81/2*(t1/2)**2
h2 = 9.81/2*(t2/2)**2
h0 = h1**2/h2
K0 = P0 = m*10**-3*9.81*h0
K1 = P1 = t2/t1*P0
K2 = P2 = (t2/t1)**2*P1
print("Résultats :")
print("hauteur de lâcher calculée ho =", round(h0,2), "m")
print("Energie potentielle initiale Epp(h0) =",round(P0,2),"J")
print("Energie cinétique avant collision Ec(0) =",round(K0,2),"J")
print("Epp(h1) =",round(P1,2),"J")
print("Avant deuxième collision Ec(1) = ",round(K1,2),"J")
print("Epp(h2) =",round(P2,2),"J")
print("Avant troisième collision Ec(2) =",round(K2,2),"J")